## org.codehaus.groovy.grails.test
Class GrailsTestTargetPattern

    java.lang.Object
      org.codehaus.groovy.grails.test.GrailsTestTargetPattern

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GrailsTestTargetPattern

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`GrailsTestTargetPattern(String pattern)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`protected Object` `classPatternToFilePattern(Object pattern)`
`protected boolean` `containsMethodName(Object pattern)`
`String` `getClassPattern()`
`String` `getFilePattern()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getMethodName()`
`Object` `getProperty(String property)`
`String` `getRawPattern()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsTestTargetPattern

    public GrailsTestTargetPattern(String pattern)

Method Detail

### getRawPattern

    public String getRawPattern()

### getFilePattern

    public String getFilePattern()

### getClassPattern

    public String getClassPattern()

### getMethodName

    public String getMethodName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### containsMethodName

    protected boolean containsMethodName(Object pattern)

### classPatternToFilePattern

    protected Object classPatternToFilePattern(Object pattern)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project